/** Klasse fr rationale Zahlen in Bruchdarstellung.
 *  @author Jrgen Giesl
 */
public class Bruch implements Vergleichbar {


    /** Attribute fr den Zhler und den Nenner des Bruchs
     */
    private int zaehler, nenner;


    /** generiert einen Bruch mit vorgegebenem Zhler und Nenner. Falls der vorgegebene
     *  Nenner 0 ist, wird jedoch der Benutzer nach neuen Werten fr Zhler und Nenner
     *  gefragt.
     *  @param zaehler der Zhler des neuen Bruchs
     *  @param nenner  der Nenner des neuen Bruchs
     */
    public Bruch (int zaehler, int nenner) {

	this.zaehler = zaehler;
	this.nenner = nenner;	
	
	if (nenner == 0) {
	    System.out.println("Unzulssiger Bruch!");
	}
	
    }

 
    /** vergleicht zwei Brche nach ihrem Wert.
     *  @param zuvergleichen das Objekt Bruch, 
     *         mit dem der aktuelle Bruch verglichen werden soll
     *  @return true, falls die beiden Brche inhaltlich gleich sind und sonst false;
     *   falls "zuvergleichen" kein Bruch ist, wird eine Fehlermeldung ausgegeben und 
     *   das Ergebnis ist ebenfalls false.
     */
    public boolean gleich (Vergleichbar zuvergleichen) {

	Bruch b;

	if (zuvergleichen instanceof Bruch) {
	    b = (Bruch) zuvergleichen;
	    return (zaehler * b.nenner == b.zaehler * nenner);
	}
	else {
	    System.out.println ("Es wurden keine Brche verglichen.");
	    return false;
	}

    }


    /** berfhrt den Bruch in einen String.
     *  @return String des Bruchs sowie Information ber die nchstkleinere
     *          ganze Zahl
     */

    public String toString () {
	
	return zaehler + "/" + nenner;

    }

}
